> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get native token balance

> Get the native token balance for an address.




## OpenAPI

````yaml get /somnia/v1/address/{walletAddress}/balance/native
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/address/{walletAddress}/balance/native:
    get:
      tags:
        - Balances
      summary: Get native token balance
      description: |
        Get the native token balance for an address.
      operationId: getNativeTokenBalanceForAddress
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: >-
            Ending block to define a block range. Omitting this parameter
            defaults to the latest block height.
          in: query
          name: block-height
          required: false
          schema:
            format: int64
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeTokenBalance'
          description: Native token balance with metadata.
components:
  schemas:
    NativeTokenBalance:
      properties:
        balance:
          type: string
        balanceValue:
          $ref: '#/components/schemas/TokenPrice'
        contract:
          $ref: '#/components/schemas/Contract'
        price:
          $ref: '#/components/schemas/TokenPrice'
        raw_balance:
          type: string
      required:
        - balance
      type: object
    TokenPrice:
      properties:
        currencyCode:
          description: Currency code for the token's price.
          type: string
        value:
          description: Current price of the token.
          format: double
          type: number
      required:
        - currencyCode
        - value
      type: object
    Contract:
      properties:
        address:
          description: Contract address
          type: string
        decimals:
          nullable: true
          type: integer
        erc_type:
          description: ERC standard of the token.
          nullable: true
          type: string
        logoUri:
          nullable: true
          type: string
        name:
          description: Name of the token.
          nullable: true
          type: string
        symbol:
          description: Symbol of the token.
          nullable: true
          type: string
      type: object

````